# OpenML dataset: cmc

https://www.openml.org/d/23

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: [Tjen-Sien Lim](limt@stat.wisc.edu) 
**Source**: [As obtained from UCI](https://archive.ics.uci.edu/ml/datasets/Contraceptive+Method+Choice)
**Please cite**: [UCI citation](https://archive.ics.uci.edu/ml/citation_policy.html)

1. Title: Contraceptive Method Choice
 
 2. Sources:
    (a) Origin:  This dataset is a subset of the 1987 National Indonesia
                 Contraceptive Prevalence Survey
    (b) Creator: Tjen-Sien Lim (limt@stat.wisc.edu)
    (c) Donor:   Tjen-Sien Lim (limt@stat.wisc.edu)
    (c) Date:    June 7, 1997
 
 3. Past Usage:
    Lim, T.-S., Loh, W.-Y. & Shih, Y.-S. (1999). A Comparison of
    Prediction Accuracy, Complexity, and Training Time of Thirty-three
    Old and New Classification Algorithms. Machine Learning. Forthcoming.
    (ftp://ftp.stat.wisc.edu/pub/loh/treeprogs/quest1.7/mach1317.pdf or
    (http://www.stat.wisc.edu/~limt/mach1317.pdf)
 
 4. Relevant Information:
    This dataset is a subset of the 1987 National Indonesia Contraceptive
    Prevalence Survey. The samples are married women who were either not 
    pregnant or do not know if they were at the time of interview. The 
    problem is to predict the current contraceptive method choice 
    (no use, long-term methods, or short-term methods) of a woman based 
    on her demographic and socio-economic characteristics.
 
 5. Number of Instances: 1473
 
 6. Number of Attributes: 10 (including the class attribute)
 
 7. Attribute Information:
 
    1. Wife's age                     (numerical)
    2. Wife's education               (categorical)      1=low, 2, 3, 4=high
    3. Husband's education            (categorical)      1=low, 2, 3, 4=high
    4. Number of children ever born   (numerical)
    5. Wife's religion                (binary)           0=Non-Islam, 1=Islam
    6. Wife's now working?            (binary)           0=Yes, 1=No
    7. Husband's occupation           (categorical)      1, 2, 3, 4
    8. Standard-of-living index       (categorical)      1=low, 2, 3, 4=high
    9. Media exposure                 (binary)           0=Good, 1=Not good
    10. Contraceptive method used     (class attribute)  1=No-use 
                                                         2=Long-term
                                                         3=Short-term
 
 8. Missing Attribute Values: None

 Information about the dataset
 CLASSTYPE: nominal
 CLASSINDEX: last

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/23) of an [OpenML dataset](https://www.openml.org/d/23). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/23/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/23/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/23/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

